ApiUser (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiUser

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiUser

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiUser
      extends Object

  This is the model for user information in the API prior to v18. Post v18, please refer to ApiUser2.java. <p> Note that any method that returns user information will not contain any password information. The password property is only used when creating or updating users.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiUser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiUser` | `addRolesItem(String rolesItem)`
    `boolean` | `equals(Object o)`
    `String` | `getName()` The username, which is unique within a Cloudera Manager installation.
    `String` | `getPassword()` Returns the user password.
    `String` | `getPwHash()` NOTE: Only available in the \"export\" view
    `Boolean` | `getPwLogin()` NOTE: Only available in the \"export\" view
    `BigDecimal` | `getPwSalt()` NOTE: Only available in the \"export\" view
    `List<String>` | `getRoles()` A list of roles this user belongs to.
    `int` | `hashCode()`
    `ApiUser` | `name(String name)`
    `ApiUser` | `password(String password)`
    `ApiUser` | `pwHash(String pwHash)`
    `ApiUser` | `pwLogin(Boolean pwLogin)`
    `ApiUser` | `pwSalt(BigDecimal pwSalt)`
    `ApiUser` | `roles(List<String> roles)`
    `void` | `setName(String name)`
    `void` | `setPassword(String password)`
    `void` | `setPwHash(String pwHash)`
    `void` | `setPwLogin(Boolean pwLogin)`
    `void` | `setPwSalt(BigDecimal pwSalt)`
    `void` | `setRoles(List<String> roles)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiUser

          public ApiUser()

  - ### Method Detail

    - #### name

          public ApiUser name(String name)

    - #### getName

          public String getName()

      The username, which is unique within a Cloudera Manager installation.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### password

          public ApiUser password(String password)

    - #### getPassword

          public String getPassword()

      Returns the user password. <p> Passwords are not returned when querying user information, so this property will always be empty when reading information from a server.
      Returns:
        password

    - #### setPassword

          public void setPassword(String password)

    - #### roles

          public ApiUser roles(List<String> roles)

    - #### addRolesItem

          public ApiUser addRolesItem(String rolesItem)

    - #### getRoles

          public List<String> getRoles()

      A list of roles this user belongs to. <p> In Cloudera Express, possible values are: <ul> <li><b>ROLE_ADMIN</b></li> <li><b>ROLE_USER</b></li> </ul> In Cloudera Enterprise Datahub Edition, additional possible values are: <ul> <li><b>ROLE_LIMITED</b>: Added in Cloudera Manager 5.0</li> <li><b>ROLE_OPERATOR</b>: Added in Cloudera Manager 5.1</li> <li><b>ROLE_CONFIGURATOR</b>: Added in Cloudera Manager 5.1</li> <li><b>ROLE_CLUSTER_ADMIN</b>: Added in Cloudera Manager 5.2</li> <li><b>ROLE_BDR_ADMIN</b>: Added in Cloudera Manager 5.2</li> <li><b>ROLE_NAVIGATOR_ADMIN</b>: Added in Cloudera Manager 5.2</li> <li><b>ROLE_USER_ADMIN</b>: Added in Cloudera Manager 5.2</li> <li><b>ROLE_KEY_ADMIN</b>: Added in Cloudera Manager 5.5</li> </ul> An empty list implies ROLE_USER. <p> Note that although this interface provides a list of roles, a user should only be assigned a single role at a time.
      Returns:
        roles

    - #### setRoles

          public void setRoles(List<String> roles)

    - #### pwHash

          public ApiUser pwHash(String pwHash)

    - #### getPwHash

          public String getPwHash()

      NOTE: Only available in the \"export\" view
      Returns:
        pwHash

    - #### setPwHash

          public void setPwHash(String pwHash)

    - #### pwSalt

          public ApiUser pwSalt(BigDecimal pwSalt)

    - #### getPwSalt

          public BigDecimal getPwSalt()

      NOTE: Only available in the \"export\" view
      Returns:
        pwSalt

    - #### setPwSalt

          public void setPwSalt(BigDecimal pwSalt)

    - #### pwLogin

          public ApiUser pwLogin(Boolean pwLogin)

    - #### getPwLogin

          public Boolean getPwLogin()

      NOTE: Only available in the \"export\" view
      Returns:
        pwLogin

    - #### setPwLogin

          public void setPwLogin(Boolean pwLogin)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.